For Developers

List Team Invitations

GET https://ed.link/api/v2/teams/:team_id/invitations

Returns all pending invitations for the team. Each invitation is a model-shaped MikroORM Invitation entity with populated user (inviter) and team_role relations.

Requires invitations.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/invitations`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
            "created_date": "2026-08-01T12:00:00.000Z",
            "updated_date": "2026-08-01T12:00:00.000Z",
            "email": "newmember@example.edu",
            "type": "readwrite",
            "user": {
                "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                "first_name": "Alex",
                "last_name": "Rivera"
            }
        }
    ]
}
  • POST /api/v2/teams/:team_id/invitations — Invite a new member
  • DELETE /api/v2/teams/:team_id/invitations/:invitation_id — Cancel an invitation
  • POST /api/v2/teams/:team_id/invitations/:invitation_id/resend — Resend invitation email